// Code generated by protoc-gen-go. DO NOT EDIT.
// source: idemixmsp/identities.proto

package idemixmsp

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// This struct represents an Idemix Identity
// to be used to serialize it and deserialize it.
// The IdemixMSP will first serialize an idemix identity to bytes using
// this proto, and then uses these bytes as id_bytes in SerializedIdentity
type SerializedIdemixIdentity struct {
	// nym_x is the X-component of the pseudonym elliptic curve point.
	// It is a []byte representation of an amcl.BIG
	// The pseudonym can be seen as a public key of the identity, it is used to verify signatures.
	NymX []byte `protobuf:"bytes,1,opt,name=nym_x,json=nymX,proto3" json:"nym_x,omitempty"`
	// nym_y is the Y-component of the pseudonym elliptic curve point.
	// It is a []byte representation of an amcl.BIG
	// The pseudonym can be seen as a public key of the identity, it is used to verify signatures.
	NymY []byte `protobuf:"bytes,2,opt,name=nym_y,json=nymY,proto3" json:"nym_y,omitempty"`
	// ou contains the organizational unit of the idemix identity
	Ou []byte `protobuf:"bytes,3,opt,name=ou,proto3" json:"ou,omitempty"`
	// role contains the role of this identity (e.g., ADMIN or MEMBER)
	Role []byte `protobuf:"bytes,4,opt,name=role,proto3" json:"role,omitempty"`
	// proof contains the cryptographic evidence that this identity is valid
	Proof                []byte   `protobuf:"bytes,5,opt,name=proof,proto3" json:"proof,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SerializedIdemixIdentity) Reset()         { *m = SerializedIdemixIdentity{} }
func (m *SerializedIdemixIdentity) String() string { return proto.CompactTextString(m) }
func (*SerializedIdemixIdentity) ProtoMessage()    {}
func (*SerializedIdemixIdentity) Descriptor() ([]byte, []int) {
	return fileDescriptor_cb8a4544fc71d2d8, []int{0}
}

func (m *SerializedIdemixIdentity) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SerializedIdemixIdentity.Unmarshal(m, b)
}
func (m *SerializedIdemixIdentity) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SerializedIdemixIdentity.Marshal(b, m, deterministic)
}
func (m *SerializedIdemixIdentity) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SerializedIdemixIdentity.Merge(m, src)
}
func (m *SerializedIdemixIdentity) XXX_Size() int {
	return xxx_messageInfo_SerializedIdemixIdentity.Size(m)
}
func (m *SerializedIdemixIdentity) XXX_DiscardUnknown() {
	xxx_messageInfo_SerializedIdemixIdentity.DiscardUnknown(m)
}

var xxx_messageInfo_SerializedIdemixIdentity proto.InternalMessageInfo

func (m *SerializedIdemixIdentity) GetNymX() []byte {
	if m != nil {
		return m.NymX
	}
	return nil
}

func (m *SerializedIdemixIdentity) GetNymY() []byte {
	if m != nil {
		return m.NymY
	}
	return nil
}

func (m *SerializedIdemixIdentity) GetOu() []byte {
	if m != nil {
		return m.Ou
	}
	return nil
}

func (m *SerializedIdemixIdentity) GetRole() []byte {
	if m != nil {
		return m.Role
	}
	return nil
}

func (m *SerializedIdemixIdentity) GetProof() []byte {
	if m != nil {
		return m.Proof
	}
	return nil
}

func init() {
	proto.RegisterType((*SerializedIdemixIdentity)(nil), "idemixmsp.SerializedIdemixIdentity")
}

func init() { proto.RegisterFile("idemixmsp/identities.proto", fileDescriptor_cb8a4544fc71d2d8) }

var fileDescriptor_cb8a4544fc71d2d8 = []byte{
	// 231 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0xca, 0x4c, 0x49, 0xcd,
	0xcd, 0xac, 0xc8, 0x2d, 0x2e, 0xd0, 0xcf, 0x4c, 0x49, 0xcd, 0x2b, 0xc9, 0x2c, 0xc9, 0x4c, 0x2d,
	0xd6, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17, 0xe2, 0x84, 0xcb, 0x29, 0xd5, 0x71, 0x49, 0x04, 0xa7,
	0x16, 0x65, 0x26, 0xe6, 0x64, 0x56, 0xa5, 0xa6, 0x78, 0x82, 0x85, 0x3d, 0x21, 0xca, 0x2b, 0x85,
	0x84, 0xb9, 0x58, 0xf3, 0x2a, 0x73, 0xe3, 0x2b, 0x24, 0x18, 0x15, 0x18, 0x35, 0x78, 0x82, 0x58,
	0xf2, 0x2a, 0x73, 0x23, 0x60, 0x82, 0x95, 0x12, 0x4c, 0x70, 0xc1, 0x48, 0x21, 0x3e, 0x2e, 0xa6,
	0xfc, 0x52, 0x09, 0x66, 0xb0, 0x08, 0x53, 0x7e, 0xa9, 0x90, 0x10, 0x17, 0x4b, 0x51, 0x7e, 0x4e,
	0xaa, 0x04, 0x0b, 0x44, 0x0d, 0x88, 0x2d, 0x24, 0xc2, 0xc5, 0x5a, 0x50, 0x94, 0x9f, 0x9f, 0x26,
	0xc1, 0x0a, 0x16, 0x84, 0x70, 0x9c, 0x5a, 0x19, 0xb9, 0x78, 0x93, 0xf3, 0x73, 0xf5, 0xe0, 0x2e,
	0x72, 0xe2, 0xf7, 0x84, 0x3b, 0x37, 0x00, 0xe4, 0xda, 0x00, 0xc6, 0x28, 0xf9, 0xf4, 0xcc, 0x92,
	0x8c, 0xd2, 0x24, 0xbd, 0xe4, 0xfc, 0x5c, 0x7d, 0x4f, 0x27, 0x5f, 0x7d, 0x88, 0x62, 0x7d, 0xb8,
	0x9e, 0x45, 0x4c, 0xcc, 0x9e, 0x11, 0x11, 0xab, 0x98, 0x38, 0x3d, 0x61, 0x22, 0xa7, 0x90, 0xd8,
	0x8f, 0x98, 0x44, 0xe1, 0xec, 0x18, 0xf7, 0x00, 0x27, 0xdf, 0xd4, 0x92, 0xc4, 0x94, 0xc4, 0x92,
	0xc4, 0x57, 0x48, 0x6a, 0x92, 0xd8, 0xc0, 0x21, 0x63, 0x0c, 0x08, 0x00, 0x00, 0xff, 0xff, 0x6a,
	0xc5, 0x9b, 0x6e, 0x37, 0x01, 0x00, 0x00,
}
